org.gradle.api.plugins

## Class ExtraPropertiesExtension.UnknownPropertyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.api.GradleException
        - - org.gradle.api.InvalidUserDataException
          - - org.gradle.api.plugins.ExtraPropertiesExtension.UnknownPropertyException

- All Implemented Interfaces:
    Serializable
  Enclosing interface:
    ExtraPropertiesExtension

      public static class ExtraPropertiesExtension.UnknownPropertyException
      extends InvalidUserDataException

  The exception that will be thrown when an attempt is made to read a property that is not set.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtraPropertiesExtension.UnknownPropertyException(ExtraPropertiesExtension extension, String propertyName)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtraPropertiesExtension.UnknownPropertyException

          public ExtraPropertiesExtension.UnknownPropertyException(ExtraPropertiesExtension extension,
                                                           String propertyName)